ruby-curb_0.9.7-1_amd64.deb


Advertisement

Description

ruby-curb - Ruby libcurl bindings

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename ruby-curb_0.9.7-1_amd64.deb
Package name ruby-curb
Package version 0.9.7
Package release 1
Package architecture amd64
Package type deb
Category ruby
Homepage https://github.com/taf2/curb
License -
Maintainer Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Download size 48.36 KB
Installed size 185.00 KB
Curb (probably CUrl-RuBy or something) provides Ruby-language bindings for the
libcurl(3), a fully-featured client-side URL transfer library.
Curb is a work-in-progress, and currently only supports libcurl's 'easy'
and 'multi' modes.

Alternatives

Package Version Architecture Repository
ruby-curb_0.9.7-1_i386.deb 0.9.7 i386 Debian Main
ruby-curb - - -

Requires

Name Value
libc6 >= 2.14
libcurl3-gnutls >= 7.16.2
libgmp10 -
libruby2.5 >= 2.5.0~preview1
ruby >= 1:2.5~0
ruby << 1:2.6~

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ruby-curb_0.9.7-1_amd64.deb
Source Package ruby-curb

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-curb deb package:
    # sudo apt-get install ruby-curb

Files

Path
/usr/lib/ruby/vendor_ruby/curb.rb
/usr/lib/ruby/vendor_ruby/curl.rb
/usr/lib/ruby/vendor_ruby/curl/easy.rb
/usr/lib/ruby/vendor_ruby/curl/multi.rb
/usr/lib/x86_64-linux-gnu/ruby/vendor_ruby/2.5.0/curb_core.so
/usr/share/doc/ruby-curb/README.markdown.gz
/usr/share/doc/ruby-curb/changelog.Debian.gz
/usr/share/doc/ruby-curb/copyright
/usr/share/lintian/overrides/ruby-curb
/usr/share/rubygems-integration/2.5.0/specifications/curb-0.9.7.gemspec

Changelog

2018-11-26 - Cédric Boutillier <boutil@debian.org>
ruby-curb (0.9.7-1) unstable; urgency=medium
* Team upload
* New upstream version 0.9.7
* Fix FTBFS with curl 7.62.0 (Closes: #913404, #912908)
+ adapt also tests to reflect the fact that libcurl includes now a header
in the file:// protocol with upstream commit after release
(fix_tests_curl_easy_7_62.patch)
* Refresh patches use-test-files-for-tests.patch and
disable_test_requiring_network.patch (offset)
* Bump Standards-Version to 4.2.1 (no changes needed)
2018-07-30 - Cédric Boutillier <boutil@debian.org>
ruby-curb (0.9.6-1) unstable; urgency=medium
* Team upload
* New upstream version 0.9.6
* Use salsa.debian.org in Vcs-* fields
* Move debian/watch to gemwatch.debian.net
* Bump Standards-Version to 4.1.5 (no changes needed)
* Bump debhelper compatibility level to 11
2017-11-14 - Cédric Boutillier <boutil@debian.org>
ruby-curb (0.9.4-1) unstable; urgency=medium
* Team upload
* New upstream version 0.9.4
* Refresh patches
* Set debhelper compatibility level to 10
* Bump Standards-Version to 4.1.1 (no changes needed)
2016-06-06 - Cédric Boutillier <boutil@debian.org>
ruby-curb (0.9.3-1) unstable; urgency=medium
* Team upload
* Imported Upstream version 0.9.3
* Bump debhelper compatibility level to 9
* Remove version in the gem2deb build-dependency
* Use https:// in Vcs-* fields
* Bump Standards-Version to 3.9.8 (no changes needed)
* Run wrap-and-sort on packaging files
* Refresh disable_test_requiring_network.patch
* Set testsuite field in control file
* Add use-test-files-for-tests.patch to run tests with files that are
still around in autopkgtest environment
2015-05-02 - Cédric Boutillier <boutil@debian.org>
ruby-curb (0.8.8-1) unstable; urgency=medium
* Team upload
* Imported Upstream version 0.8.8
* don't b-depend uselessly on ruby-rspec, b-depend on ruby-test-unit
* do not require Rspec task for tests
* Bump Standards-Version to 3.9.6 (no changes needed)
2014-09-28 - David Suárez <david.sephirot@gmail.com>
ruby-curb (0.8.6-1) unstable; urgency=medium
* Team upload
[ David Suárez ]
* New upstream version.
* Remove 'add-support-for-curl-7.33.0' patch; applied upstream.
* Refresh patches.
* debian/control: update Homepage.
* debian/ruby-curb.docs: update README filename.
* debian/changelog: default to medium urgency.
* debian/copyright: fix license short name.
2014-04-14 - Pirate Praveen <praveen@debian.org>
ruby-curb (0.8.5-3) unstable; urgency=low
* Bump gem2deb build dep to 0.7.5~
- Fix for #743671 
2014-04-04 - Pirate Praveen <praveen@debian.org>
ruby-curb (0.8.5-2) unstable; urgency=medium
* Bump standards version to 3.9.5
* Bump gem2deb dependency to 0.7.4~
- drop ruby1.9.1 and add ruby2.1
2013-10-20 - David Suárez <david.sephirot@gmail.com>
ruby-curb (0.8.5-1) unstable; urgency=low
* Team upload
* New upstream version
* Fix test segfault due to the wrong ruby version extension getting loaded
(Closes: #720256)
* Add support for curl 7.33.0. This fix a test failing due to some api
changes in the new curl version
2013-06-04 - Cédric Boutillier <boutil@debian.org>
ruby-curb (0.8.3-2) unstable; urgency=low
* Team upload
* debian/patches: add disable_test_requiring_network.patch to deactivate
tests requiring network access (Closes: #710940)
* Add unapply-patches to local-options

See Also

Package Description
ruby-curses_1.2.4-1+b1_amd64.deb curses binding for Ruby
ruby-cutest_1.2.1-2_all.deb Run ruby tests independantly
ruby-daemons_1.1.9-2_all.deb Ruby daemons library
ruby-dalli_2.7.9-1_all.deb memcached client library for Ruby
ruby-data-migrate_5.3.1-1_all.deb migrate data alongside schema changes for rake tasks
ruby-database-cleaner_1.7.0-1_all.deb clean databases to ensure a clean state for testing
ruby-dataobjects-mysql_0.10.16-2+b3_amd64.deb MySQL adapter for ruby-dataobjects
ruby-dataobjects-postgres_0.10.16-1+b5_amd64.deb PostgreSQL adapter for ruby-dataobjects
ruby-dataobjects-sqlite3_0.10.16-1+b5_amd64.deb SQLite adapter for ruby-dataobjects
ruby-dataobjects_0.10.16-1_all.deb Unified interface to various databases for Ruby
ruby-dbf_3.0.5-1_all.deb small fast Ruby library for reading database files
ruby-dbus_0.15.0-1_all.deb Ruby module for interaction with D-Bus
ruby-ddmemoize_1.0.0-1_all.deb Ruby library providing support for memoizing functions
ruby-ddmetrics_1.0.1-1_all.deb Non-timeseries measurements for Ruby programs
ruby-ddplugin_1.0.2-1_all.deb plugins management for Ruby apps
Advertisement
Advertisement